// переменные
var cookie = $.cookie('favorite'),
	cookiearr, index;
// перезаписываем функцию
window.doFavorites = function () {
	var id = arguments[0],
		plusminus = arguments[1];
	ShowLoading("");
	$.get(dle_root + "engine/ajax/favorites.php", {
		fav_id: id,
		action: plusminus,
		skin: dle_skin,
		alert: 0,
		user_hash: dle_login_hash
	}, function (result) {
		HideLoading("");
		if(plusminus == "plus") {
			toCookie(id, "plus");
			$('[onclick^="doFavorites(\'' + id + '\'"]').attr('onclick', 'doFavorites(\'' + id + '\', \'minus\'); return false;');
			$('.favorite-count').each(function () {
				$(this).text(Number($(this).text()) + 1);
			});
		} else {
			toCookie(id, "minus");
			$('[onclick^="doFavorites(\'' + id + '\'"]').attr('onclick', 'doFavorites(\'' + id + '\', \'plus\', \'0\'); return false;');
			$('.favorite-count').each(function () {
				$(this).text(Number($(this).text()) - 1);
			});
		}
	});
	return !1
}
// обработка куки
function toCookie(id, plusminus) {
	cookie = $.cookie('favorite');
	if(cookie) {
		cookiearr = cookie.split(",");
		index = cookiearr.indexOf(id);
		if(plusminus == "plus") {
			if(index < 0) {
				cookiearr.push(id);
			}
		} else {
			if(index > -1) {
				cookiearr.splice(index, 1);
			}
		}
		if(typeof cookiearr !== 'undefined' && cookiearr.length > 0) {
			$.cookie('favorite', cookiearr.join(","), {
				expires: 365,
				path: '/'
			});
		} else {
			$.removeCookie('favorite', {
				path: '/'
			});
		}
	} else {
		$.cookie('favorite', id, {
			expires: 365,
			path: '/'
		});
	}
}
// проверка куки
if(cookie) {
	cookiearr = cookie.split(",");
	$.each(cookiearr, function (index, el) {
		var id = el;
		$('[onclick^="doFavorites(\'' + id + '\'"]').attr('onclick', 'doFavorites(\'' + id + '\', \'minus\'); return false;');
	});
}
